//
//  AppDelegate.h
//  Hallo Taxi
//
//  Created by Holger Hinzberg on 14.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "TaxiFareCalculator.h"

@interface AppDelegate : 
    NSObject <NSApplicationDelegate>
{
    TaxiFareCalculator *fareCalculator;
}

@property (assign) IBOutlet NSWindow *window;

// IBOutlet für das Label
@property (weak) IBOutlet 
    NSTextField *sliderValueLabel;
@property (weak) IBOutlet 
    NSButton *isHolidayTourCheckBox;
@property (weak) IBOutlet 
    NSButton *isNightTourCheckBox;
@property (weak) IBOutlet 
    NSButton *hasLuggageCheckBox;

@property (weak) IBOutlet 
    NSTextField *taxiFareText;

// Methodendeklaration für den Schieberegler
- (IBAction)sliderMoved:(id)sender;
// Methode für alle Kontrollkästchen
- (IBAction)checkBoxStateChanged:(id)sender;

@end
